Monday, February 21, 2011

Fixing '/etc/ld.so.preload cannot be preloaded' error in RedHat, CentOS, and Fedora.

After hardening my CentOS install, I noticed this showed up hundreds of times on the console:

ERROR: ld.so: object '/lib/libsafe.so.2' from /etc/ld.so.preload cannot be preloaded: ignored

The fix is easy enough. Use vi to edit the file /etc/ld.so.preload and comment out the only line to make it look like so:

#/lib/libsafe.so.2

The changes will take effect immediately. I'm not sure what exactly caused the error, but libsafe.so.2 (which is symlinked to libsafe.so.2.0.16 in my CentOS 5 install) is in it's proper place; the system can function without it

1 comment:

  1. did you install compat-libcwait RPM? you on 32bit or 64bit .

    Thanks

    ReplyDelete